#
# spec file for package perl-Protocol-Redis
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Protocol-Redis
Name:           perl-Protocol-Redis
Version:        1.0021
Release:        1.1
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Redis protocol parser/encoder with asynchronous capabilities
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/U/UN/UNDEF/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.94
Requires:       perl(Test::More) >= 0.94
%{perl_requires}

%description
Redis protocol parser/encoder with asynchronous capabilities and at
http://redis.io/topics/pipelining support.

%prep
%autosetup  -n %{cpan_name}-%{version}

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes examples

%changelog
* Tue Sep  3 2024 Tina Müller <timueller+perl@suse.de>
- updated to 1.0021
  see /usr/share/doc/packages/perl-Protocol-Redis/Changes
  1.0021  03.09.2024 00:00:00
  - Test unknown version excaption implementation
  1.0020  03.09.2024 00:00:00
  - Protocol::Redis implementation should fail on instantiating with unknown version (Grinnz)
* Thu Dec 26 2019 <timueller+perl@suse.de>
- updated to 1.0011
  see /usr/share/doc/packages/perl-Protocol-Redis/Changes
  1.0011  25.12.2019 00:00:00
  - Fix improper integer value in protocol test (Grinnz)
* Thu Aug 29 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.0010
  see /usr/share/doc/packages/perl-Protocol-Redis/Changes
  1.0010  28.08.2019 00:00:00
  - code cleanup, prerequirements improvement, updated metadata to
    meta-spec (Grinnz)
  - tests improved with binary-safe encoding tests (Grinnz)
  - optimize encode() (Grinnz)
  - optimize parse() (jhthorsen)
* Tue Jan 29 2019 sriedel@suse.de
- initial version (1.0006)
